FROM gitea.pena/penadevops/container-images/docker-compose-bin:main as compose
# only for get compose binary

FROM gitea.pena/penadevops/container-images/node:main as node
ADD pena-ca.crt /usr/local/share/ca-certificates/cacert.crt
RUN apk add  catatonit git && update-ca-certificates
RUN mkdir -p /run/user/1000/podman
RUN chmod -R 777 /run/user/1000/podman
RUN mkdir -p /etc/containers && \
    echo -e '[[registry]]\n  location = "gitea.pena"\n  insecure = true' >> /etc/containers/registries.conf
RUN cat /etc/containers/registries.conf
ENV DOCKER_HOST=/var/run/docker.sock

 
COPY --from=compose /docker-compose /usr/bin/compose
